---
parameters:
  mean: [166.8418783515498, 166.8418783515498, 166.8418783515498]
  std: [34.084189571536385, 34.084189571536385, 34.084189571536385]
  max_char_prediction: 200
  encoder:
    dropout: 0.5
  decoder:
    enc_dim: 256
    l_max: 15000
    dec_pred_dropout: 0.1
    attention_win: 100
    vocab_size: 96
    h_max: 500
    w_max: 1000
    dec_num_layers: 8
    dec_dim_feedforward: 256
    dec_num_heads: 4
    dec_att_dropout: 0.1
    dec_res_dropout: 0.1
  preprocessings:
    - type: "max_resize"
      max_height: 1500
      max_width: 1500
  language_model:
    model: tests/data/prediction/language_model.arpa
    lexicon: tests/data/prediction/lexicon.txt
    tokens: tests/data/prediction/tokens.txt
    weight: 1.0
